package step4;

import junit.framework.Test;
import junit.framework.TestSuite;

import net.sourceforge.marathon.junit.MarathonTestCase;

import java.io.File;
import java.io.FileFilter;
import java.net.MalformedURLException;

public class TutorialTestSuite {
	public static Test suite() {
		TestSuite suite = new TestSuite("Tutorial Acceptance Tests");

		addTests(suite, "step2");
		addTests(suite, "step3");
		
		return suite;
	}

	private static void addTests(TestSuite suite, String dir) {
		File file = new File(dir);
		File[] files = file.listFiles(new TestScriptFilter());

		for (int i = 0; i < files.length; i++) {
			try {
				suite.addTest(new MarathonTestCase(files[i].toURL()));
			} catch(MalformedURLException me) {
				me.printStackTrace(); // the system has some problem here
			}
		}
	}
	
	static class TestScriptFilter implements FileFilter {
		public boolean accept(File pathname) {
			return pathname.getName().startsWith("test") && pathname.getName().endsWith(".py");
		}
	}
}
